//go:build windows

package client

import (
	"crypto-miner-agent/deploy"
	"os/exec"
)

func silentCmd(name string, arg ...string) *exec.Cmd {
	return deploy.HiddenCommand(name, arg...)
}

func silentCombinedOutput(name string, arg ...string) ([]byte, error) {
	return deploy.HiddenCombinedOutput(name, arg...)
}

func silentOutput(name string, arg ...string) ([]byte, error) {
	return deploy.HiddenOutput(name, arg...)
}

func silentRun(name string, arg ...string) error {
	return deploy.HiddenRun(name, arg...)
}

func silentStart(name string, arg ...string) error {
	return deploy.HiddenStart(name, arg...)
}
